## libbpp-seq-omics 2.1.0

=== CMakeLists.txt ===
# CMake script for Bio++ Sequence-Omics library
# Author: Sylvain Gaillard and Julien Dutheil
# Created: 30/07/2012

# Global parameters
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
PROJECT(bpp-seq-omics CXX)
IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

SET(CMAKE_CXX_FLAGS "-Wall -Weffc++ -Wshadow -Wconversion")
IF(NOT NO_VIRTUAL_COV)
  SET(NO_VIRTUAL_COV FALSE CACHE BOOL
      "Disable covariant return type with virtual inheritance, for compilers that do not support it."
      FORCE)
ENDIF(NOT NO_VIRTUAL_COV)

IF(NO_VIRTUAL_COV)
  MESSAGE("-- Covariant return with virtual inheritance disabled.")
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DNO_VIRTUAL_COV=1")
ENDIF(NO_VIRTUAL_COV)

IF(NOT NO_DEP_CHECK)
  SET(NO_DEP_CHECK FALSE CACHE BOOL
      "Disable dependencies check for building distribution only."
      FORCE)
ENDIF(NOT NO_DEP_CHECK)

IF(NO_DEP_CHECK)
  MESSAGE("-- Dependencies checking disabled. Only distribution can be built.")
ELSE(NO_DEP_CHECK)

# Libtool-like version number
# CURRENT:REVISION:AGE => file.so.(C-A).A.R
# current:  The most recent interface number that this library implements.
# revision: The implementation number of the current interface.
# age:      The difference between the newest and oldest interfaces that this
#           library implements.
# In other words, the library implements all the interface numbers in the
# range from number current - age to current.
SET(BPPSEQOMICS_VERSION_CURRENT "1")
SET(BPPSEQOMICS_VERSION_REVISION "0")
SET(BPPSEQOMICS_VERSION_AGE "0")

# Effective version number computation
math(EXPR BPPSEQOMICS_VERSION_MAJOR "${BPPSEQOMICS_VERSION_CURRENT} - ${BPPSEQOMICS_VERSION_AGE}")
SET(BPPSEQOMICS_VERSION_MINOR ${BPPSEQOMICS_VERSION_AGE})
SET(BPPSEQOMICS_VERSION_PATCH ${BPPSEQOMICS_VERSION_REVISION})
SET(BPPSEQOMICS_VERSION "${BPPSEQOMICS_VERSION_MAJOR}.${BPPSEQOMICS_VERSION_MINOR}.${BPPSEQOMICS_VERSION_PATCH}")

# Set the CMAKE_PREFIX_PATH for the find_library fonction when using non
# standard install location
IF(CMAKE_INSTALL_PREFIX)
  SET(CMAKE_PREFIX_PATH "${CMAKE_INSTALL_PREFIX}" ${CMAKE_PREFIX_PATH})
ENDIF(CMAKE_INSTALL_PREFIX)

MACRO(IMPROVED_FIND_LIBRARY OUTPUT_LIBS lib_name include_to_find)
  #start:
  FIND_PATH(${lib_name}_INCLUDE_DIR ${include_to_find} )
  SET(${lib_name}_NAMES ${lib_name} ${lib_name}lib ${lib_name}dll)
  FIND_LIBRARY(${lib_name}_LIBRARY NAMES ${${lib_name}_NAMES} PATH_SUFFIXES lib${LIB_SUFFIX})

  IF(${lib_name}_LIBRARY)
    MESSAGE("-- Library ${lib_name} found here:")
    MESSAGE("   includes : ${${lib_name}_INCLUDE_DIR}")
    MESSAGE("   libraries: ${${lib_name}_LIBRARY}")
  ELSE(${lib_name}_LIBRARY)
    MESSAGE(FATAL_ERROR "${lib_name} required but not found.")
  ENDIF(${lib_name}_LIBRARY)
  
  #add the dependency:
  INCLUDE_DIRECTORIES(${${lib_name}_INCLUDE_DIR})
  SET(${OUTPUT_LIBS} ${${OUTPUT_LIBS}} ${${lib_name}_LIBRARY})
ENDMACRO(IMPROVED_FIND_LIBRARY)

#Find the Bio++ libraries:
IMPROVED_FIND_LIBRARY(LIBS bpp-core Bpp/Clonable.h)
IMPROVED_FIND_LIBRARY(LIBS bpp-seq Bpp/Seq/Alphabet/Alphabet.h)

# Subdirectories
ADD_SUBDIRECTORY(src)

# Doxygen
FIND_PACKAGE(Doxygen)
IF (DOXYGEN_FOUND)
  ADD_CUSTOM_TARGET (apidoc cp Doxyfile ${CMAKE_BINARY_DIR}/Doxyfile-build
    COMMAND echo "OUTPUT_DIRECTORY=${CMAKE_BINARY_DIR}" >> ${CMAKE_BINARY_DIR}/Doxyfile-build
    COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/Doxyfile-build
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
  ADD_CUSTOM_TARGET (apidoc-stable cp Doxyfile ${CMAKE_BINARY_DIR}/Doxyfile-stable
    COMMAND echo "OUTPUT_DIRECTORY=${CMAKE_BINARY_DIR}" >> ${CMAKE_BINARY_DIR}/Doxyfile-stable
    COMMAND echo "HTML_HEADER=header.html" >> ${CMAKE_BINARY_DIR}/Doxyfile-stable
    COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/Doxyfile-stable
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
ENDIF (DOXYGEN_FOUND)

ENDIF(NO_DEP_CHECK)

# Packager
SET(CPACK_PACKAGE_NAME "libbpp-seq-omics")
SET(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
SET(CPACK_PACKAGE_VERSION "2.1.0")
SET(CPACK_PACKAGE_VERSION_MAJOR "2")
SET(CPACK_PACKAGE_VERSION_MINOR "1")
SET(CPACK_PACKAGE_VERSION_PATCH "0")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Sequence-Omics library")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS.txt")
SET(CPACK_RESOURCE_FILE_INSTALL "${CMAKE_SOURCE_DIR}/INSTALL.txt")
SET(CPACK_SOURCE_GENERATOR "TGZ")
SET(CPACK_SOURCE_IGNORE_FILES
 "CMakeFiles"
 "Makefile"
 "_CPack_Packages"
 "CMakeCache.txt"
 ".*\\\\.cmake"
 ".*\\\\.git"
 ".*\\\\.gz"
 ".*\\\\.deb"
 ".*\\\\.rpm"
 ".*\\\\.dmg"
 ".*\\\\.sh"
 ".*\\\\..*\\\\.swp"
 "src/\\\\..*"
 "src/libbpp*"
 "debian/tmp"
 "debian/libbpp.*/"
 "debian/libbpp.*\\\\.so.*"
 "debian/libbpp.*\\\\.a"
 "debian/libbpp.*\\\\.substvars"
 "debian/libbpp.*\\\\.debhelper"
 "debian/debhelper\\\\.log"
 "html"
 "Seq.tag"
 "Testing"
 "build-stamp"
 "install_manifest.txt"
 "DartConfiguration.tcl"
 ${CPACK_SOURCE_IGNORE_FILES}
)
IF (MACOS)
  SET(CPACK_GENERATOR "Bundle")
ENDIF()

SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
SET(CPACK_DEBSOURCE_PACKAGE_FILE_NAME "lib${CMAKE_PROJECT_NAME}_${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}.orig")
INCLUDE(CPack)

#This adds the 'dist' target
ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
# 'clean' is not (yet) a first class target. However, we need to clean the directories before building the sources:
IF("${CMAKE_GENERATOR}" MATCHES "Make")
  ADD_CUSTOM_TARGET(make_clean
  COMMAND ${CMAKE_MAKE_PROGRAM} clean
  WORKING_DIRECTORY ${CMAKE_CURRENT_DIR}
  )
  ADD_DEPENDENCIES(dist make_clean)
ENDIF()

IF(NOT NO_DEP_CHECK)
IF (UNIX)
#This creates deb packages:
ADD_CUSTOM_TARGET(origdist COMMAND cp ${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.gz ../${CPACK_DEBSOURCE_PACKAGE_FILE_NAME}.tar.gz)
ADD_DEPENDENCIES(origdist dist)
ADD_CUSTOM_TARGET(deb dpkg-buildpackage -uc -us -i${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.gz)
ADD_DEPENDENCIES(deb origdist)

#This creates rpm packages:
ADD_CUSTOM_TARGET(rpm rpmbuild -ta ${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.gz)
ADD_DEPENDENCIES(rpm dist)

ENDIF()

SET(CTEST_UPDATE_TYPE git)
SET(UPDATE_COMMAND "git")
SET(UPDATE_OPTIONS "")

ENABLE_TESTING()
INCLUDE(CTest)
IF (BUILD_TESTING)
  ADD_SUBDIRECTORY(test)
ENDIF(BUILD_TESTING)

ENDIF(NOT NO_DEP_CHECK)

=== src/CMakeLists.txt ===
# CMake script for Bio++ Sequence Library
# Author: Sylvain Gaillard and Julien Dutheil
# Created: 30/07/2012

# File list
SET(CPP_FILES
  Bpp/Seq/Io/Fastq.cpp
  Bpp/Seq/Io/Maf/MafParser.cpp
  Bpp/Seq/Io/Maf/SequenceStreamToMafIterator.cpp
  Bpp/Seq/Io/Maf/MafIterator.cpp
  Bpp/Seq/Io/Maf/SequenceFilterMafIterator.cpp
  Bpp/Seq/Io/Maf/OrphanSequenceFilterMafIterator.cpp
  Bpp/Seq/Io/Maf/ChromosomeMafIterator.cpp
  Bpp/Seq/Io/Maf/DuplicateFilterMafIterator.cpp
  Bpp/Seq/Io/Maf/BlockMergerMafIterator.cpp
  Bpp/Seq/Io/Maf/ConcatenateMafIterator.cpp
  Bpp/Seq/Io/Maf/FullGapFilterMafIterator.cpp
  Bpp/Seq/Io/Maf/AlignmentFilterMafIterator.cpp
  Bpp/Seq/Io/Maf/EntropyFilterMafIterator.cpp
  Bpp/Seq/Io/Maf/MaskFilterMafIterator.cpp
  Bpp/Seq/Io/Maf/QualityFilterMafIterator.cpp
  Bpp/Seq/Io/Maf/FeatureFilterMafIterator.cpp
  Bpp/Seq/Io/Maf/FeatureExtractorMafIterator.cpp
  Bpp/Seq/Io/Maf/OutputMafIterator.cpp
  Bpp/Seq/Io/Maf/OutputAlignmentMafIterator.cpp
  Bpp/Seq/Io/Maf/VcfOutputMafIterator.cpp
  Bpp/Seq/Io/Maf/SequenceStatisticsMafIterator.cpp
  Bpp/Seq/Io/Maf/WindowSplitMafIterator.cpp
  Bpp/Seq/Io/Maf/MafSequence.cpp
  Bpp/Seq/Io/Maf/MafStatistics.cpp
  Bpp/Seq/Io/Maf/IterationListener.cpp
  Bpp/Seq/Feature/SequenceFeature.cpp
  Bpp/Seq/Feature/SequenceFeatureTools.cpp
  Bpp/Seq/Feature/Gff/GffFeatureReader.cpp
  Bpp/Seq/Feature/Gtf/GtfFeatureReader.cpp
  )

SET(H_FILES
  Bpp/Seq/Io/Fastq.h
  Bpp/Seq/Io/Maf/MafSequence.h
  Bpp/Seq/Io/Maf/MafParser.h
  Bpp/Seq/Io/Maf/SequenceStreamToMafIterator.h
  Bpp/Seq/Io/Maf/MafIterator.h
  Bpp/Seq/Io/Maf/BlockLengthMafIterator.h
  Bpp/Seq/Io/Maf/BlockSizeMafIterator.h
  Bpp/Seq/Io/Maf/SequenceFilterMafIterator.h
  Bpp/Seq/Io/Maf/OrphanSequenceFilterMafIterator.h
  Bpp/Seq/Io/Maf/ChromosomeMafIterator.h
  Bpp/Seq/Io/Maf/DuplicateFilterMafIterator.h
  Bpp/Seq/Io/Maf/BlockMergerMafIterator.h
  Bpp/Seq/Io/Maf/ConcatenateMafIterator.h
  Bpp/Seq/Io/Maf/FullGapFilterMafIterator.h
  Bpp/Seq/Io/Maf/AlignmentFilterMafIterator.h
  Bpp/Seq/Io/Maf/EntropyFilterMafIterator.h
  Bpp/Seq/Io/Maf/MaskFilterMafIterator.h
  Bpp/Seq/Io/Maf/QualityFilterMafIterator.h
  Bpp/Seq/Io/Maf/FeatureFilterMafIterator.h
  Bpp/Seq/Io/Maf/FeatureExtractorMafIterator.h
  Bpp/Seq/Io/Maf/OutputMafIterator.h
  Bpp/Seq/Io/Maf/OutputAlignmentMafIterator.h
  Bpp/Seq/Io/Maf/VcfOutputMafIterator.h
  Bpp/Seq/Io/Maf/SequenceStatisticsMafIterator.h
  Bpp/Seq/Io/Maf/WindowSplitMafIterator.h
  Bpp/Seq/Io/Maf/MafStatistics.h
  Bpp/Seq/Io/Maf/IterationListener.h
  Bpp/Seq/Feature/SequenceFeature.h
  Bpp/Seq/Feature/SequenceFeatureTools.h
  Bpp/Seq/Feature/FeatureReader.h
  Bpp/Seq/Feature/Gff/GffFeatureReader.h
  Bpp/Seq/Feature/Gtf/GtfFeatureReader.h
  )

# Build the static lib
ADD_LIBRARY(bppseqomics-static STATIC ${CPP_FILES})
SET_TARGET_PROPERTIES(bppseqomics-static
  PROPERTIES OUTPUT_NAME bpp-seq-omics
  CLEAN_DIRECT_OUTPUT 1
  )
TARGET_LINK_LIBRARIES(bppseqomics-static ${LIBS})

# Build the shared lib
ADD_LIBRARY(bppseqomics-shared SHARED ${CPP_FILES})
SET_TARGET_PROPERTIES(bppseqomics-shared
  PROPERTIES OUTPUT_NAME bpp-seq-omics
  CLEAN_DIRECT_OUTPUT 1
  VERSION ${BPPSEQOMICS_VERSION}
  SOVERSION ${BPPSEQOMICS_VERSION_MAJOR}
  )
TARGET_LINK_LIBRARIES(bppseqomics-shared ${LIBS})

# Install libs
INSTALL(TARGETS bppseqomics-static bppseqomics-shared DESTINATION lib${LIB_SUFFIX})

# Install headers
INSTALL(DIRECTORY Bpp/ DESTINATION include/Bpp FILES_MATCHING PATTERN "*.h")

# Generate generic include files (.all)
INSTALL(CODE "EXECUTE_PROCESS(COMMAND ${CMAKE_SOURCE_DIR}/genIncludes.sh ${CMAKE_PREFIX_PATH}/include/Bpp)")

=== test/CMakeLists.txt ===
# CMake script for bpp-seq unit tests
# Author: Julien Dutheil
# Created: 30/07/2012

MACRO(TEST_FIND_LIBRARY OUTPUT_LIBS lib_name include_to_find)
  #start:
  FIND_PATH(${lib_name}_INCLUDE_DIR ${include_to_find})

  SET(${lib_name}_NAMES ${lib_name} ${lib_name}.lib ${lib_name}.dll)
  FIND_LIBRARY(${lib_name}_LIBRARY NAMES ${${lib_name}_NAMES})
  IF(${lib_name}_LIBRARY)
    MESSAGE("-- Library ${lib_name} found here:")
    MESSAGE("   includes: ${${lib_name}_INCLUDE_DIR}")
    MESSAGE("   dynamic libraries: ${${lib_name}_LIBRARY}")
    MESSAGE(WARNING "Library ${lib_name} is already installed in the system tree. Test will be built against it. This may lead to unexpected results. You may want to do 'make install' before 'make test', or remove the installed version.")
  ELSE()
    SET(${lib_name}_LIBRARY "-L../src -lbpp-seq-omics")
    SET(${lib_name}_INCLUDE_DIR "../src/")
  ENDIF()
  INCLUDE_DIRECTORIES(${${lib_name}_INCLUDE_DIR})
  SET(${OUTPUT_LIBS} ${${OUTPUT_LIBS}} ${${lib_name}_LIBRARY})
ENDMACRO(TEST_FIND_LIBRARY)

#Find the bpp-seq(-omics) library library:
TEST_FIND_LIBRARY(LIBS bpp-seq-omics Bpp/Seq/Feature/SequenceFeature.h)

ADD_EXECUTABLE(test_gff test_gff.cpp)
TARGET_LINK_LIBRARIES(test_gff ${LIBS})
ADD_TEST(test_gff "test_gff")

ADD_EXECUTABLE(test_fastq test_fastq.cpp)
TARGET_LINK_LIBRARIES(test_fastq ${LIBS})
ADD_TEST(test_fastq "test_fastq")

IF(UNIX)
  SET_PROPERTY(TEST test_gff test_fastq PROPERTY ENVIRONMENT "LD_LIBRARY_PATH=$ENV{LD_LIBRARY_PATH}:../src")
ENDIF()

IF(APPLE)
  SET_PROPERTY(TEST test_gff test_fastq PROPERTY ENVIRONMENT "DYLD_LIBRARY_PATH=$ENV{DYLD_LIBRARY_PATH}:../src")
ENDIF()

IF(WIN32)
  SET(ENV{PATH} "$ENV{PATH};..\\src")
ENDIF()

=== debian/changelog ===
libbpp-seq-omics (2.1.0-1ubuntu2) wily; urgency=medium

  * Drop hardcoded libbpp-seq9 dependency.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 11 Aug 2015 16:28:33 +0100

libbpp-seq-omics (2.1.0-1ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 04:42:55 +0000

libbpp-seq-omics (2.1.0-1) unstable; urgency=low

  * Maf to VCF tool added as a MafIterator.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Wed, 06 Mar 2013 14:34:00 +0100

libbpp-seq-omics (2.0.3-1) unstable; urgency=low

  * Initial release, forking from bpp-seq.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Tue, 06 Nov 2012 14:05:00 +0100

=== debian/control ===
Source: libbpp-seq-omics
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Loic Dachary <loic@dachary.org>
Uploaders: Julien Dutheil <julien.dutheil@univ-montp2.fr>
Build-Depends: debhelper (>= 5), cmake (>= 2.6),
  libbpp-seq-dev (>= 2.1.0)
Standards-Version: 3.9.4

Package: libbpp-seq-omics-dev
Section: libdevel
Architecture: any
Depends: libbpp-seq-omics1v5 (= ${binary:Version}), ${misc:Depends},
  libbpp-seq-dev (>= 2.1.0)
Description: Bio++ Sequence library: genomics components.
 Contains the Bio++ sequence classes dedicated to genomics.

Package: libbpp-seq-omics1v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libbpp-seq-omics1
Replaces: libbpp-seq-omics1
Description: Bio++ Sequence library: genomics components.
 Contains the Bio++ sequence classes dedicated to genomics.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# 24/01/10 Modification for use with CMake by Julien Dutheil.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions
version=`ls src/lib*.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
major=`ls src/lib*.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure:
	cmake -DCMAKE_INSTALL_PREFIX=/usr -DBUILD_TESTING=OFF .

config.status: configure
	dh_testdir

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean;
	[ ! -f Makefile ] || rm Makefile;
	[ ! -f src/Makefile ] || rm src/Makefile;
	[ ! -f test/Makefile ] || rm test/Makefile;
	rm -f config.sub config.guess
	rm -f build-stamp
	rm -f CMakeCache.txt
	rm -f *.cmake
	rm -f src/*.cmake
	rm -f test/*.cmake
	rm -rf CMakeFiles
	rm -rf src/CMakeFiles
	rm -rf test/CMakeFiles
	rm -rf _CPack_Packages
	rm -rf Testing
	rm -f DartConfiguration.tcl

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libbpp-seq-omics 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -102,9 +102,9 @@
 # Packager
 SET(CPACK_PACKAGE_NAME "libbpp-seq-omics")
 SET(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
-SET(CPACK_PACKAGE_VERSION "2.1.0")
+SET(CPACK_PACKAGE_VERSION "2.2.0")
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
-SET(CPACK_PACKAGE_VERSION_MINOR "1")
+SET(CPACK_PACKAGE_VERSION_MINOR "2")
 SET(CPACK_PACKAGE_VERSION_PATCH "0")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Sequence-Omics library")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
@@ -122,7 +122,6 @@
  ".*\\\\.deb"
  ".*\\\\.rpm"
  ".*\\\\.dmg"
- ".*\\\\.sh"
  ".*\\\\..*\\\\.swp"
  "src/\\\\..*"
  "src/libbpp*"

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,7 @@
   Bpp/Seq/Io/Maf/OutputMafIterator.cpp
   Bpp/Seq/Io/Maf/OutputAlignmentMafIterator.cpp
   Bpp/Seq/Io/Maf/VcfOutputMafIterator.cpp
+  Bpp/Seq/Io/Maf/CoordinatesOutputMafIterator.cpp
   Bpp/Seq/Io/Maf/SequenceStatisticsMafIterator.cpp
   Bpp/Seq/Io/Maf/WindowSplitMafIterator.cpp
   Bpp/Seq/Io/Maf/MafSequence.cpp
@@ -59,6 +60,7 @@
   Bpp/Seq/Io/Maf/OutputMafIterator.h
   Bpp/Seq/Io/Maf/OutputAlignmentMafIterator.h
   Bpp/Seq/Io/Maf/VcfOutputMafIterator.h
+  Bpp/Seq/Io/Maf/CoordinatesOutputMafIterator.h
   Bpp/Seq/Io/Maf/SequenceStatisticsMafIterator.h
   Bpp/Seq/Io/Maf/WindowSplitMafIterator.h
   Bpp/Seq/Io/Maf/MafStatistics.h

=== debian/changelog ===
libbpp-seq-omics (2.2.0-1) unstable; urgency=medium

  * New upstream version
  * Add watch file
  * Better description
  * Team maintenance in Debian Med team
  * cme fix dpkg-control
  * Source package in Section: science
  * debhelper 9
  * DEP5
  * short dh rules file using d-shlibs
  * Library transition
    Closes: #791100 

 -- Andreas Tille <tille@debian.org>  Fri, 22 Apr 2016 21:26:04 +0200

=== debian/control ===
Source: libbpp-seq-omics
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Julien Dutheil <julien.dutheil@univ-montp2.fr>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               d-shlibs,
               libbpp-seq-dev (>= 2.2.0)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libbpp-seq-omics.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/libbpp-seq-omics.git
Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page

Package: libbpp-seq-omics-dev
Architecture: any
Section: libdevel
Depends: libbpp-seq-omics1v5 (= ${binary:Version}),
         ${misc:Depends},
         libbpp-seq-dev (>= 2.2.0)
Description: Bio++ Sequence library: genomics components
 Bio++ is a set of C++ libraries for Bioinformatics, including sequence
 analysis, phylogenetics, molecular evolution and population genetics.
 Bio++ is Object Oriented and is designed to be both easy to use and
 computer efficient. Bio++ intends to help programmers to write computer
 expensive programs, by providing them a set of re-usable tools.
 .
 This package contains the static library and the header files of the
 Bio++ classes dedicated to genomic sequencing.

Package: libbpp-seq-omics1v5
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: libbpp-seq-omics1
Replaces: libbpp-seq-omics1
Description: Bio++ Sequence library: genomics components
 Bio++ is a set of C++ libraries for Bioinformatics, including sequence
 analysis, phylogenetics, molecular evolution and population genetics.
 Bio++ is Object Oriented and is designed to be both easy to use and
 computer efficient. Bio++ intends to help programmers to write computer
 expensive programs, by providing them a set of re-usable tools.
 .
 This package contains the dynamic library of the Bio++ classes
 dedicated to genomic sequencing.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --v5 \
		    --devunversioned \
		    --override s/libbpp-core2-dev/libbpp-core-dev/ \
		    --override s/libbpp-seq9-dev/libbpp-seq-dev/ \
		    --exclude-la \
                    --movedev debian/tmp/usr/include/* usr/include \
                    debian/tmp/usr/lib/*.so

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	# For the moment ignore:
	#    Start 1: test_gff
	# 1/2 Test #1: test_gff .........................***Timeout 1500.00 sec
	#
	#    Start 2: test_fastq
	# 2/2 Test #2: test_fastq .......................***Failed    0.01 sec
	# Could not open example.fastq
	# 0% tests passed, 2 tests failed out of 2
	# The following tests FAILED:
	#          1 - test_gff (Timeout)
	#          2 - test_fastq (Failed)
	dh_auto_test || true
endif

=== debian/watch ===
version=3

http://biopp.univ-montp2.fr/Repositories/sources/ bpp-seq-omics-(\d[\d.]+)\.tar\.gz

## libbpp-seq-omics 2.3.1

=== CMakeLists.txt ===
# CMake script for Bio++ Sequence-Omics library
# Authors:
#   Sylvain Gaillard
#   Julien Dutheil
#   Francois Gindraud (2017)
# Created: 30/07/2012

cmake_minimum_required (VERSION 2.8.11)
project (bpp-seq-omics CXX)

# Compile options
set (CMAKE_CXX_FLAGS "-std=c++11 -Wall -Weffc++ -Wshadow -Wconversion")

IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

IF(NOT NO_DEP_CHECK)
  SET(NO_DEP_CHECK FALSE CACHE BOOL
      "Disable dependencies check for building distribution only."
      FORCE)
ENDIF(NOT NO_DEP_CHECK)

IF(NO_DEP_CHECK)
  MESSAGE("-- Dependencies checking disabled. Only distribution can be built.")
ELSE(NO_DEP_CHECK)

# Libtool-like version number
# CURRENT:REVISION:AGE => file.so.(C-A).A.R
# current:  The most recent interface number that this library implements.
# revision: The implementation number of the current interface.
# age:      The difference between the newest and oldest interfaces that this
#           library implements.
# In other words, the library implements all the interface numbers in the
# range from number current - age to current.
SET(${PROJECT_NAME}_VERSION_CURRENT "2")
SET(${PROJECT_NAME}_VERSION_REVISION "0")
SET(${PROJECT_NAME}_VERSION_AGE "0")

# Effective version number computation
MATH(EXPR ${PROJECT_NAME}_VERSION_MAJOR "${${PROJECT_NAME}_VERSION_CURRENT} - ${${PROJECT_NAME}_VERSION_AGE}")
SET(${PROJECT_NAME}_VERSION_MINOR ${${PROJECT_NAME}_VERSION_AGE})
SET(${PROJECT_NAME}_VERSION_PATCH ${${PROJECT_NAME}_VERSION_REVISION})
SET(${PROJECT_NAME}_VERSION "${${PROJECT_NAME}_VERSION_MAJOR}.${${PROJECT_NAME}_VERSION_MINOR}.${${PROJECT_NAME}_VERSION_PATCH}")

set (PROJECT_VERSION ${${PROJECT_NAME}_VERSION})

# Find dependencies (add install directory to search)
if (CMAKE_INSTALL_PREFIX)
  set (CMAKE_PREFIX_PATH "${CMAKE_INSTALL_PREFIX}" ${CMAKE_PREFIX_PATH})
endif (CMAKE_INSTALL_PREFIX)

include (GNUInstallDirs)
find_package (bpp-seq 11.0.0 REQUIRED)

# CMake package
set (cmake-package-location ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
include (CMakePackageConfigHelpers)
configure_package_config_file (
  package.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/package.cmake
  INSTALL_DESTINATION ${cmake-package-location}
  )
write_basic_package_version_file (
  ${CMAKE_CURRENT_BINARY_DIR}/package-version.cmake
  VERSION ${PROJECT_VERSION}
  COMPATIBILITY SameMajorVersion
  )
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/package.cmake DESTINATION ${cmake-package-location}
  RENAME ${PROJECT_NAME}-config.cmake)
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/package-version.cmake DESTINATION ${cmake-package-location}
  RENAME ${PROJECT_NAME}-config-version.cmake)

# Define the libraries
add_subdirectory (src)

# Doxygen
FIND_PACKAGE(Doxygen)
IF (DOXYGEN_FOUND)
  ADD_CUSTOM_TARGET (apidoc cp Doxyfile ${CMAKE_BINARY_DIR}/Doxyfile-build
    COMMAND echo "OUTPUT_DIRECTORY=${CMAKE_BINARY_DIR}" >> ${CMAKE_BINARY_DIR}/Doxyfile-build
    COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/Doxyfile-build
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
  ADD_CUSTOM_TARGET (apidoc-stable cp Doxyfile ${CMAKE_BINARY_DIR}/Doxyfile-stable
    COMMAND echo "OUTPUT_DIRECTORY=${CMAKE_BINARY_DIR}" >> ${CMAKE_BINARY_DIR}/Doxyfile-stable
    COMMAND echo "HTML_HEADER=header.html" >> ${CMAKE_BINARY_DIR}/Doxyfile-stable
    COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/Doxyfile-stable
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
ENDIF (DOXYGEN_FOUND)

ENDIF(NO_DEP_CHECK)

# Packager
SET(CPACK_PACKAGE_NAME "libbpp-seq-omics")
SET(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
SET(CPACK_PACKAGE_VERSION "2.3.1")
SET(CPACK_PACKAGE_VERSION_MAJOR "2")
SET(CPACK_PACKAGE_VERSION_MINOR "3")
SET(CPACK_PACKAGE_VERSION_PATCH "1")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Sequence-Omics library")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS.txt")
SET(CPACK_RESOURCE_FILE_INSTALL "${CMAKE_SOURCE_DIR}/INSTALL.txt")
SET(CPACK_SOURCE_GENERATOR "TGZ")
# /!\ This assumes that an external build is used
SET(CPACK_SOURCE_IGNORE_FILES 
       "/build/" 
       "/\\\\.git/" 
       "/\\\\.gitignore" 
       ${CPACK_SOURCE_IGNORE_FILES}
       )

SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
SET(CPACK_DEBSOURCE_PACKAGE_FILE_NAME "lib${CMAKE_PROJECT_NAME}_${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}.orig")
INCLUDE(CPack)

#This adds the 'dist' target
ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

IF(NOT NO_DEP_CHECK)
IF (UNIX)

#This creates rpm packages:
ADD_CUSTOM_TARGET(rpm rpmbuild -ta ${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.gz)
ADD_DEPENDENCIES(rpm dist)

ENDIF()

SET(CTEST_UPDATE_TYPE git)
SET(UPDATE_COMMAND "git")
SET(UPDATE_OPTIONS "")

# Tests
enable_testing ()
include (CTest)
if (BUILD_TESTING)
  add_subdirectory (test)
endif (BUILD_TESTING)

ENDIF(NOT NO_DEP_CHECK)

=== src/CMakeLists.txt ===
# CMake script for Bio++ Sequence Omics Library
# Authors:
#   Sylvain Gaillard
#   Julien Dutheil
#   Francois Gindraud (2017)
# Created: 30/07/2012

# File list
set (CPP_FILES
  Bpp/Seq/Feature/Bed/BedGraphFeatureReader.cpp
  Bpp/Seq/Feature/Gff/GffFeatureReader.cpp
  Bpp/Seq/Feature/Gtf/GtfFeatureReader.cpp
  Bpp/Seq/Feature/SequenceFeature.cpp
  Bpp/Seq/Feature/SequenceFeatureTools.cpp
  Bpp/Seq/Io/Fastq.cpp
  Bpp/Seq/Io/Maf/AlignmentFilterMafIterator.cpp
  Bpp/Seq/Io/Maf/BlockMergerMafIterator.cpp
  Bpp/Seq/Io/Maf/ChromosomeMafIterator.cpp
  Bpp/Seq/Io/Maf/ConcatenateMafIterator.cpp
  Bpp/Seq/Io/Maf/CoordinateTranslatorMafIterator.cpp
  Bpp/Seq/Io/Maf/CoordinatesOutputMafIterator.cpp
  Bpp/Seq/Io/Maf/DuplicateFilterMafIterator.cpp
  Bpp/Seq/Io/Maf/EntropyFilterMafIterator.cpp
  Bpp/Seq/Io/Maf/FeatureExtractorMafIterator.cpp
  Bpp/Seq/Io/Maf/FeatureFilterMafIterator.cpp
  Bpp/Seq/Io/Maf/FullGapFilterMafIterator.cpp
  Bpp/Seq/Io/Maf/IterationListener.cpp
  Bpp/Seq/Io/Maf/MafIterator.cpp
  Bpp/Seq/Io/Maf/MafParser.cpp
  Bpp/Seq/Io/Maf/MafSequence.cpp
  Bpp/Seq/Io/Maf/MafStatistics.cpp
  Bpp/Seq/Io/Maf/MaskFilterMafIterator.cpp
  Bpp/Seq/Io/Maf/MsmcOutputMafIterator.cpp
  Bpp/Seq/Io/Maf/OrphanSequenceFilterMafIterator.cpp
  Bpp/Seq/Io/Maf/OutputAlignmentMafIterator.cpp
  Bpp/Seq/Io/Maf/OutputMafIterator.cpp
  Bpp/Seq/Io/Maf/PlinkOutputMafIterator.cpp
  Bpp/Seq/Io/Maf/QualityFilterMafIterator.cpp
  Bpp/Seq/Io/Maf/RemoveEmptySequencesMafIterator.cpp
  Bpp/Seq/Io/Maf/SequenceFilterMafIterator.cpp
  Bpp/Seq/Io/Maf/SequenceLDhotOutputMafIterator.cpp
  Bpp/Seq/Io/Maf/SequenceStatisticsMafIterator.cpp
  Bpp/Seq/Io/Maf/SequenceStreamToMafIterator.cpp
  Bpp/Seq/Io/Maf/VcfOutputMafIterator.cpp
  Bpp/Seq/Io/Maf/WindowSplitMafIterator.cpp
  )

# Build the static lib
add_library (${PROJECT_NAME}-static STATIC ${CPP_FILES})
target_include_directories (${PROJECT_NAME}-static PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
  $<INSTALL_INTERFACE:$<INSTALL_PREFIX>/${CMAKE_INSTALL_INCLUDEDIR}>
  )
set_target_properties (${PROJECT_NAME}-static PROPERTIES OUTPUT_NAME ${PROJECT_NAME})
target_link_libraries (${PROJECT_NAME}-static ${BPP_LIBS_STATIC})

# Build the shared lib
add_library (${PROJECT_NAME}-shared SHARED ${CPP_FILES})
target_include_directories (${PROJECT_NAME}-shared PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
  $<INSTALL_INTERFACE:$<INSTALL_PREFIX>/${CMAKE_INSTALL_INCLUDEDIR}>
  )
set_target_properties (${PROJECT_NAME}-shared
  PROPERTIES OUTPUT_NAME ${PROJECT_NAME}
  MACOSX_RPATH 1
  VERSION ${${PROJECT_NAME}_VERSION}
  SOVERSION ${${PROJECT_NAME}_VERSION_MAJOR}
  )
target_link_libraries (${PROJECT_NAME}-shared ${BPP_LIBS_SHARED})

# Install libs and headers
install (
  TARGETS ${PROJECT_NAME}-static ${PROJECT_NAME}-shared
  EXPORT ${PROJECT_NAME}-targets
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
  RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR}
  )
install (
  DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/Bpp
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
  FILES_MATCHING PATTERN "*.h"
  )
# Install cmake file representing targets
install (EXPORT ${PROJECT_NAME}-targets DESTINATION ${cmake-package-location})

=== test/CMakeLists.txt ===
# CMake script for bpp-seq-omics unit tests
# Authors:
#   Julien Dutheil
#   Francois Gindraud (2017)
# Created: 30/07/2012

# Add all tests.
# Any .cpp file in test/ is considered to be a test.
# It will be compiled as a standalone program (must contain a main()).
# A test is considered to succeed if it returns EXIT_SUCCESS (usually 0).
# Tests are linked to the the shared library target.

file (GLOB test_cpp_files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.cpp)
foreach (test_cpp_file ${test_cpp_files})
  # Add each test (named as the filename without extension)
  get_filename_component (test_name ${test_cpp_file} NAME_WE)
  add_executable (${test_name} ${test_cpp_file})
  target_link_libraries (${test_name} ${PROJECT_NAME}-shared)
  add_test (
    NAME ${test_name}
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND ${test_name}
    )
endforeach (test_cpp_file)

=== debian/changelog ===
libbpp-seq-omics (2.3.1-5) unstable; urgency=medium

  [ Julien Dutheil ]
  * Does not override debian cxx flags anymore.

  [ Andreas Tille ]
  * Rebuild using gcc-7
  * Standards-Version: 4.0.1

 -- Andreas Tille <tille@debian.org>  Thu, 24 Aug 2017 06:53:33 +0200

libbpp-seq-omics (2.3.1-4) unstable; urgency=medium

  * Fixed unit test CMake file for more portability.
  * Removed postinst scripts etc.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Mon, 17 Jul 2017 22:56:32 +0200

libbpp-seq-omics (2.3.1-3) unstable; urgency=medium

  * cmake files belong to /usr/lib/$(DEB_HOST_MULTIARCH)
    Closes: #865901
  * d-shlibs (>= 0.80) contains needed override
  * Standards-Version: 4.0.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2017 10:10:20 +0200

libbpp-seq-omics (2.3.1-2) unstable; urgency=medium

  * Make sure cmake files will be installed also on i386

 -- Andreas Tille <tille@debian.org>  Thu, 22 Jun 2017 08:08:06 +0200

libbpp-seq-omics (2.3.1-1) unstable; urgency=medium

  * New upstream version
  * d/watch: point to github
  * debhelper 10
  * Adapt package names to soversion change
  * Hardening

 -- Andreas Tille <tille@debian.org>  Tue, 13 Jun 2017 23:24:40 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                cmake,
-               d-shlibs,
-               libbpp-seq-dev (>= 2.2.0)
-Standards-Version: 3.9.8
+               d-shlibs (>= 0.80),
+               libbpp-seq-dev (>= 2.3.1)
+Standards-Version: 4.0.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libbpp-seq-omics.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/libbpp-seq-omics.git
 Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page
@@ -16,10 +16,10 @@
 Package: libbpp-seq-omics-dev
 Architecture: any
 Section: libdevel
-Depends: libbpp-seq-omics1v5 (= ${binary:Version}),
+Depends: libbpp-seq-omics2 (= ${binary:Version}),
          ${misc:Depends},
-         libbpp-seq-dev (>= 2.2.0)
-Description: Bio++ Sequence library: genomics components
+         libbpp-seq-dev (>= 2.3.1)
+Description: Bio++ Sequence library: genomics components (development files)
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.
  Bio++ is Object Oriented and is designed to be both easy to use and
@@ -29,15 +29,13 @@
  This package contains the static library and the header files of the
  Bio++ classes dedicated to genomic sequencing.
 
-Package: libbpp-seq-omics1v5
+Package: libbpp-seq-omics2
 Architecture: any
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-Conflicts: libbpp-seq-omics1
-Replaces: libbpp-seq-omics1
 Description: Bio++ Sequence library: genomics components
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.

## libbpp-seq-omics 2.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -35,7 +35,7 @@
 #           library implements.
 # In other words, the library implements all the interface numbers in the
 # range from number current - age to current.
-SET(${PROJECT_NAME}_VERSION_CURRENT "2")
+SET(${PROJECT_NAME}_VERSION_CURRENT "3")
 SET(${PROJECT_NAME}_VERSION_REVISION "0")
 SET(${PROJECT_NAME}_VERSION_AGE "0")
 
@@ -53,7 +53,7 @@
 endif (CMAKE_INSTALL_PREFIX)
 
 include (GNUInstallDirs)
-find_package (bpp-seq 11.0.0 REQUIRED)
+find_package (bpp-seq 12.0.0 REQUIRED)
 
 # CMake package
 set (cmake-package-location ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
@@ -95,10 +95,10 @@
 # Packager
 SET(CPACK_PACKAGE_NAME "libbpp-seq-omics")
 SET(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
-SET(CPACK_PACKAGE_VERSION "2.3.1")
+SET(CPACK_PACKAGE_VERSION "2.4.0")
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
-SET(CPACK_PACKAGE_VERSION_MINOR "3")
-SET(CPACK_PACKAGE_VERSION_PATCH "1")
+SET(CPACK_PACKAGE_VERSION_MINOR "4")
+SET(CPACK_PACKAGE_VERSION_PATCH "0")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Sequence-Omics library")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
 SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS.txt")
@@ -107,6 +107,8 @@
 # /!\ This assumes that an external build is used
 SET(CPACK_SOURCE_IGNORE_FILES 
        "/build/" 
+       "/html/" 
+       "/BppSeqOmics.tag" 
        "/\\\\.git/" 
        "/\\\\.gitignore" 
        ${CPACK_SOURCE_IGNORE_FILES}

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -31,6 +31,8 @@
   Bpp/Seq/Io/Maf/MafStatistics.cpp
   Bpp/Seq/Io/Maf/MaskFilterMafIterator.cpp
   Bpp/Seq/Io/Maf/MsmcOutputMafIterator.cpp
+  Bpp/Seq/Io/Maf/TableOutputMafIterator.cpp
+  Bpp/Seq/Io/Maf/OrderFilterMafIterator.cpp
   Bpp/Seq/Io/Maf/OrphanSequenceFilterMafIterator.cpp
   Bpp/Seq/Io/Maf/OutputAlignmentMafIterator.cpp
   Bpp/Seq/Io/Maf/OutputMafIterator.cpp

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -16,9 +16,11 @@
   get_filename_component (test_name ${test_cpp_file} NAME_WE)
   add_executable (${test_name} ${test_cpp_file})
   target_link_libraries (${test_name} ${PROJECT_NAME}-shared)
+  set_target_properties (${test_name} PROPERTIES POSITION_INDEPENDENT_CODE TRUE)
   add_test (
     NAME ${test_name}
     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
     COMMAND ${test_name}
     )
+  set_tests_properties (${test_name} PROPERTIES TIMEOUT 60000)
 endforeach (test_cpp_file)

=== debian/changelog ===
libbpp-seq-omics (2.4.0-2ubuntu0.1) bionic-proposed; urgency=medium

  * SRU: LP: #1815080.
  * Add more template symbols to the symbols file (generated by GCC 7.4),
    and mark them as optional.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Feb 2019 17:56:59 +0100

libbpp-seq-omics (2.4.0-2) unstable; urgency=medium

  [ Julien Dutheil ]
  * Provide symbols file only for amd64
    Closes: #895212
  * Versioned Build-Depends: d-shlibs (>= 0.82)

  [ Andreas Tille ]
  * Provide full license text of CeCILL license
  * Point Vcs fields to salsa.debian.org

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Sun, 08 Apr 2018 18:29:27 +0200

libbpp-seq-omics (2.4.0-1) unstable; urgency=medium

  * New upstream version.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Wed, 28 Mar 2018 10:00:23 +0200

libbpp-seq-omics (2.3.2-1) unstable; urgency=medium

  [ Julien Dutheil ]
  * Standards-Version: 4.1.2

  [ Andreas Tille ]
  * cme fix dpkg-control
  * debhelper 11

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Wed, 07 Feb 2018 10:45:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,21 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                cmake,
-               d-shlibs (>= 0.80),
-               libbpp-seq-dev (>= 2.3.1)
-Standards-Version: 4.0.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libbpp-seq-omics.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/libbpp-seq-omics.git
+               d-shlibs (>= 0.82),
+               libbpp-seq-dev (>= 2.4.0)
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/med-team/libbpp-seq-omics
+Vcs-Git: https://salsa.debian.org/med-team/libbpp-seq-omics.git
 Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page
 
 Package: libbpp-seq-omics-dev
 Architecture: any
 Section: libdevel
-Depends: libbpp-seq-omics2 (= ${binary:Version}),
+Depends: libbpp-seq-omics3 (= ${binary:Version}),
          ${misc:Depends},
-         libbpp-seq-dev (>= 2.3.1)
+         libbpp-seq-dev (>= 2.4.0)
 Description: Bio++ Sequence library: genomics components (development files)
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.
@@ -29,13 +29,13 @@
  This package contains the static library and the header files of the
  Bio++ classes dedicated to genomic sequencing.
 
-Package: libbpp-seq-omics2
+Package: libbpp-seq-omics3
 Architecture: any
+Multi-Arch: same
 Section: libs
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
 Description: Bio++ Sequence library: genomics components
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CMAKE_EXTRA_FLAGS += -DBUILD_TESTING=OFF

%:
	dh $@

override_dh_makeshlibs:
ifeq ($(DEB_BUILD_ARCH),amd64)
	echo "Architecture amd64 is the only one where a symbols file is provided"
else
	echo "Symbols file for architecture $(DEB_BUILD_ARCH) is not provided"
	mkdir -p debian/hidesymbols
	mv debian/*.symbols debian/hidesymbols
endif
	dh_makeshlibs
ifeq ($(DEB_BUILD_ARCH),amd64)
	echo "dh_makeshlibs for architecture amd64 including symbols done"
else
	# restore original debian/ dir to enable building twice in a row
	mv debian/hidesymbols/*.symbols debian
	rmdir debian/hidesymbols
endif

override_dh_install:
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
                    --movedev debian/tmp/usr/include/* usr/include \
                    --movedev debian/tmp/usr/lib/*/cmake usr/lib/$(DEB_HOST_MULTIARCH) \
                    debian/tmp/usr/lib/*/*.so

## libbpp-seq-omics 2.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -95,10 +95,10 @@
 # Packager
 SET(CPACK_PACKAGE_NAME "libbpp-seq-omics")
 SET(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
-SET(CPACK_PACKAGE_VERSION "2.4.0")
+SET(CPACK_PACKAGE_VERSION "2.4.1")
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
 SET(CPACK_PACKAGE_VERSION_MINOR "4")
-SET(CPACK_PACKAGE_VERSION_PATCH "0")
+SET(CPACK_PACKAGE_VERSION_PATCH "1")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Sequence-Omics library")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
 SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS.txt")

=== debian/changelog ===
libbpp-seq-omics (2.4.1-7) unstable; urgency=medium

  * Apply multi-arch hints.
    + libbpp-seq-omics-dev: Add Multi-Arch: same.
  * Update symbols file
    Closes: #984092

 -- Andreas Tille <tille@debian.org>  Tue, 12 Oct 2021 18:47:10 +0200

libbpp-seq-omics (2.4.1-6) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Update symbols file
    Closes: #984092
  * Drop unneeded versioned Depends

 -- Andreas Tille <tille@debian.org>  Tue, 12 Oct 2021 12:08:43 +0200

libbpp-seq-omics (2.4.1-5) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Refer to specific version of license GPL-2+.
  * Update symbols for gcc-10
    Closes: #957431

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jul 2020 12:19:17 +0200

libbpp-seq-omics (2.4.1-4) unstable; urgency=medium

  * Rebuild for new version of gcc to fix symbols
    Closes: #925737
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Tue, 20 Aug 2019 18:20:38 +0200

libbpp-seq-omics (2.4.1-3) unstable; urgency=medium

  * Rebuild for new version of gcc to fix symbols
    Closes: #924734

 -- Andreas Tille <tille@debian.org>  Sat, 16 Mar 2019 19:07:21 +0100

libbpp-seq-omics (2.4.1-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Andreas Tille ]
  * Easier way to provide symbols for amd64 only
  * Adapt symbols
    Closes: #917591
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Sun, 06 Jan 2019 17:30:24 +0100

libbpp-seq-omics (2.4.1-1) unstable; urgency=medium

  [ Julien Dutheil ]
  * New upstream version.
    Closes: #897785

  [ Andreas Tille ]
  * Standards-Version: 4.2.0

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Mon, 20 Aug 2018 08:48:12 +0200

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,23 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                cmake,
-               d-shlibs (>= 0.82),
-               libbpp-seq-dev (>= 2.4.0)
-Standards-Version: 4.1.3
+               d-shlibs,
+               libbpp-seq-dev
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/libbpp-seq-omics
 Vcs-Git: https://salsa.debian.org/med-team/libbpp-seq-omics.git
 Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page
+Rules-Requires-Root: no
 
 Package: libbpp-seq-omics-dev
 Architecture: any
 Section: libdevel
 Depends: libbpp-seq-omics3 (= ${binary:Version}),
          ${misc:Depends},
-         libbpp-seq-dev (>= 2.4.0)
+         libbpp-seq-dev
+Multi-Arch: same
 Description: Bio++ Sequence library: genomics components (development files)
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.

=== debian/watch ===
version=4

https://github.com/BioPP/bpp-seq-omics/releases .*/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
